## Logic Tasks

- AntCallBack
- AntFetch
- Assert
- Foreach
- For
- If
- OutOfDate
- Relentless
- RunTarget
- Switch
- Throw
- TimestampSelector
- Trycatch

## Network Tasks

- HTTP Post
- AntServer / RemoteAnt
- ImportURL

## Http Tasks and Types

- HttpClient
- HttpState
- PostMethod
- GetMethod
- HeadMethod

## Performance Monitoring and Tasks

- Performance Monitor
- Stopwatch

## Platform Tasks

- Osfamily
- Shellscript

## Property Tasks

- Math
- Propertycopy
- PropertySelector
- Pathtofileset
- PropertyRegex
- SortList
- URLEncode
- Variable

## Process Tasks

- Forget
- Limit

## Other Tasks

- antclipse
- CompileWithWalls
- IniFile
- VerifyDesign